petsc-3.4.2 2013-07-02

# KSPSetComputeOperators

set routine to compute the linear operators

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetComputeOperators(KSP ksp,PetscErrorCode (*func)(KSP,Mat,Mat,MatStructure*,void*),void *ctx)

Logically Collective

### Input Arguments

| ksp | - the KSP context
| func | - function to compute the operators
| ctx | - optional context

### Calling sequence of func

     func(KSP ksp,Mat *A,Mat *B,MatStructure *mstruct,void *ctx)

| ksp | - the KSP context
| A | - the linear operator
| B | - preconditioning matrix
| mstruct | - flag indicating structure, same as in KSPSetOperators(), one of SAME_NONZERO_PATTERN,DIFFERENT_NONZERO_PATTERN,SAME_PRECONDITIONER
| ctx | - optional user-provided context

### See Also

KSPSetOperators()

Level:beginner
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html
src/ksp/ksp/examples/tutorials/ex50.c.html
src/ksp/ksp/examples/tutorials/ex22f.F.html
src/ksp/ksp/examples/tutorials/ex45f.F.html